Summary:	Bitmaps that are shared between X applications
Summary(pl.UTF-8):	Bitmapy współdzielone między aplikacjami X
Name:		xorg-data-xbitmaps
Version:	1.1.3
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/data/xbitmaps-%{version}.tar.xz
# Source0-md5:	2b03f89d78fb91671370e77d7ad46907
Patch0:		noarch.patch
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-util-util-macros >= 1.20
BuildRequires:	xz
Requires:	filesystem >= 3.0-32
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bitmaps that are shared between X applications.

%description -l pl.UTF-8
Bitmapy współdzielone między aplikacjami X.

%prep
%setup -q -n xbitmaps-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
%if "%{_host_cpu}" != "x32"
	--host=%{_host} \
	--build=%{_host} \
%endif
	%{nil}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%{_includedir}/X11/bitmaps
%{_npkgconfigdir}/xbitmaps.pc
%changelog
* Wed Mar 01 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-data-xbitmaps.git;a=log;h=master

* Wed Mar 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 3bef2c0
- fixed x32 condition (arch is noarch, need to check _host_cpu)

* Wed Mar 01 2023 Jakub Bogusz <qboosh@pld-linux.org> e995c3f
- updated to 1.1.3

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 2af3274
- updated to 1.1.2

* Thu Apr 14 2016 Elan Ruusamäe <glen@delfi.ee> d46b5b3
- patch sent to upstream for review

* Thu Apr 14 2016 Elan Ruusamäe <glen@delfi.ee> 375fe59
- build noarch

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6650b3a
- x32 rebuild
- release 2 (by relup.sh)

* Thu Dec 09 2010 Jakub Bogusz <qboosh@pld-linux.org> 1f6efe6
- updated ac version
- use noarch pkgconfig dir

* Thu Dec 09 2010 Caleb Maclennan <caleb@alerque.com> 281f58e
- Up to 1.1.1

* Wed Jan 27 2010 Elan Ruusamäe <glen@pld-linux.org> d0a7d05
- move /usr/include/X11 to filesystem; rel 2

* Fri Oct 16 2009 Jakub Bogusz <qboosh@pld-linux.org> 50c43eb
- updated to 1.1.0

* Mon May 14 2007 Jakub Bogusz <qboosh@pld-linux.org> 5e1d749
- more informative desc (from .pc file)

* Fri May 11 2007 Marcin Banasiak <marcin.banasiak@gmail.com> fa5f6f9
- release 1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0817dcc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 139ed2e
- converted to UTF-8

* Sun May 14 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 9789f41
- no more X11R7.0 in setup

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 3cd7213
- update md5sum for individual files.

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> f80b64f
- switch to individual files

* Sat Mar 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 914aa28
- put include/X11 dir here instead of dragging whole xorg-proto-xproto-devel

* Thu Dec 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 6d3c061
- 1.0.1 (X11R7.0 release)

* Mon Dec 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 5695331
- 1.0.0 (X11R7.0-RC4)

